package com.gcsc.connection.service.repository;

import com.gcsc.connection.service.entity.SnpServiceApiParam;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface SnpServiceApiParamRepository extends JpaRepository<SnpServiceApiParam, Long> {

    List<SnpServiceApiParam> findByApiApiIdOrderBySortOrder(Long apiId);

    List<SnpServiceApiParam> findByApiApiIdAndParamTypeOrderBySortOrder(Long apiId, String paramType);

    void deleteByApiApiId(Long apiId);
}
